Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 30 Sep 2014 18:33:34 -0600 (MDT)
From:      Warren Block <wblock@wonkity.com>
To:        "William A. Mahaffey III" <wam@hiwaay.net>
Cc:        freebsd-questions@freebsd.org
Subject:   Re: update to linux_base-c6
Message-ID:  <alpine.BSF.2.11.1409301829400.79200@wonkity.com>
In-Reply-To: <542B1397.2050504@hiwaay.net>
References:  <mailman.53.1412078402.71686.freebsd-questions@freebsd.org> <op.xmz689gg0zw9qj@europa> <9e6b9502ba9292e68de94878bf405409@dweimer.net> <542ACB7E.4000206@hiwaay.net> <alpine.BSF.2.11.1409301036310.68910@wonkity.com> <542B00E2.8030609@hiwaay.net> <alpine.BSF.2.11.1409301408001.13201@wonkity.com> <542B1397.2050504@hiwaay.net>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Tue, 30 Sep 2014, William A. Mahaffey III wrote:
> Well .... after a bit of messing around, I determined that I couldn't find 
> any linux-c6 packages for FBSD 9.3, so I went the ports route:
>
> [root@kabini1, /etc, 3:30:43pm] 588 % (cd /usr/ports/emulators/linux_base-c6; 
> make install clean); cd .
> ===>  linux_base-c6-6.5 compat.linux.osrelease: 2.6.16 is not supported, 
> please use 2.6.18, BEWARE this is highly experimental.
> *** [install] Error code 1
>
> Stop in /usr/ports/emulators/linux_base-c6.
> [root@kabini1, /etc, 3:30:59pm] 589 %
>
> .... & didn't get very far :-/ .... Any clues for me ? TIA ....

Always, yes *always*, read /usr/ports/UPDATING before updating or 
installing new ports.  The 20140922 entry pertains to the c6 ports. 
There is more, but this particular problem means to run

# sysctl compat.linux.osrelease=2.6.18

and add

   compat.linux.osrelease=2.6.18

to /etc/sysctl.conf.



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?alpine.BSF.2.11.1409301829400.79200>